/**
 * @packageDocumentation
 * @module utils
 */
import { Callback, Keys, KubernetesResource, Nullable, Readonlyable } from '../types';
export declare const numToStr: (num?: number) => string;
export declare const shortNum: (num?: number | string, digits?: number) => string;
export declare const isBlank: (str?: unknown) => boolean;
export declare const getBaseHref: () => string;
export declare const ifExist: <T>(toCheck: boolean | T, truthyValue: T, fallback?: T) => T;
export declare const isAbsoluteUrl: (url: string) => boolean;
export declare const noop: Callback;
export declare const toKeys: <T extends object>(source: T) => Keys<T>;
export declare const wrapText: (text?: string, wrapper?: Readonlyable<[string, string]>, fallback?: string) => string;
export declare function parseJSONStream<T>(text: string): T[];
export declare const trackByUid: <T extends KubernetesResource>(_: number, resource: T) => string;
export declare const isK8sResource: <T extends KubernetesResource = KubernetesResource>(value: object) => value is T;
export declare const arrayify: <T, R = T extends (infer S)[] ? NonNullable<S> : NonNullable<T>>(...args: (R | R[])[]) => R[];
export declare function sleep(ms?: number): Promise<unknown>;
export declare function scrollIntoView(container: HTMLElement, selected: HTMLElement): void;
export declare const isEqual: <T, V = T>(a: T, b: V) => boolean;
export declare const parseJson: <T>(str: string, defaultValue?: T) => any;
